edu.northwestern.at.morphadorner.gate

## Class TokenizerGateWrapper

- java.lang.Object
- - gate.util.AbstractFeatureBearer
  - - gate.creole.AbstractResource
    - - gate.creole.AbstractProcessingResource
      - - gate.creole.AbstractLanguageAnalyser
        - - edu.northwestern.at.morphadorner.gate.MorphAdornerGateWrapperBase
          - - edu.northwestern.at.morphadorner.gate.TokenizerGateWrapper

- All Implemented Interfaces:
    gate.creole.ANNIEConstants, gate.Executable, gate.LanguageAnalyser, gate.ProcessingResource, gate.Resource, gate.util.FeatureBearer, gate.util.NameBearer, java.io.Serializable

      public class TokenizerGateWrapper
      extends MorphAdornerGateWrapperBase

  Gate wrapper for MorphAdorner's default sentence splitter and tokenizer.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `TokenizerGateWrapper.TokenAnnotation` Hold a single token annotation.

    - ### Nested classes/interfaces inherited from class gate.creole.AbstractProcessingResource

      `gate.creole.AbstractProcessingResource.InternalStatusListener, gate.creole.AbstractProcessingResource.IntervalProgressListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SentenceSplitter` | `sentenceSplitter` Sentence splitter.
    `protected WordTokenizer` | `tokenizer` Word tokenizer.

    - ### Fields inherited from class edu.northwestern.at.morphadorner.gate.MorphAdornerGateWrapperBase

      `alternateSpellingsURL, BASE_SENTENCE_ANNOTATION_TYPE_PARAMETER_NAME, BASE_TOKEN_ANNOTATION_TYPE_PARAMETER_NAME, baseSentenceAnnotationType, baseTokenAnnotationType, encoding, guesser, inputASName, lemmaSeparator, outputAnnotationType, outputASName, spellingsURL, spellingTokenizer, suffixLexicon, TAG_DOCUMENT_PARAMETER_NAME, TAG_INPUT_AS_PARAMETER_NAME, TAG_OUTPUT_AS_PARAMETER_NAME, tagSeparator, TOKEN_LEMMA_FEATURE_NAME, TOKEN_SPELLING_FEATURE_NAME, TOKEN_STANDARD_SPELLING_FEATURE_NAME, wordLexicon`

    - ### Fields inherited from class gate.creole.AbstractLanguageAnalyser

      `corpus, document`

    - ### Fields inherited from class gate.creole.AbstractProcessingResource

      `interrupted`

    - ### Fields inherited from class gate.creole.AbstractResource

      `name`

    - ### Fields inherited from class gate.util.AbstractFeatureBearer

      `features`

    - ### Fields inherited from interface gate.creole.ANNIEConstants

      `ANNOTATION_COREF_FEATURE_NAME, DATE_ANNOTATION_TYPE, DATE_POSTED_ANNOTATION_TYPE, DOCUMENT_COREF_FEATURE_NAME, JOB_ID_ANNOTATION_TYPE, LOCATION_ANNOTATION_TYPE, LOOKUP_ANNOTATION_TYPE, LOOKUP_CLASS_FEATURE_NAME, LOOKUP_INSTANCE_FEATURE_NAME, LOOKUP_MAJOR_TYPE_FEATURE_NAME, LOOKUP_MINOR_TYPE_FEATURE_NAME, LOOKUP_ONTOLOGY_FEATURE_NAME, MONEY_ANNOTATION_TYPE, ORGANIZATION_ANNOTATION_TYPE, PERSON_ANNOTATION_TYPE, PERSON_GENDER_FEATURE_NAME, PR_NAMES, SENTENCE_ANNOTATION_TYPE, SPACE_TOKEN_ANNOTATION_TYPE, TOKEN_ANNOTATION_TYPE, TOKEN_CATEGORY_FEATURE_NAME, TOKEN_KIND_FEATURE_NAME, TOKEN_LENGTH_FEATURE_NAME, TOKEN_ORTH_FEATURE_NAME, TOKEN_STRING_FEATURE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenizerGateWrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Perform adornment.
    `gate.Resource` | `init()` Initialize resources.

    - ### Methods inherited from class edu.northwestern.at.morphadorner.gate.MorphAdornerGateWrapperBase

      `addFeatures, checkGateResources, commonInit, getBaseSentenceAnnotationType, getBaseTokenAnnotationType, getEncoding, getInputASName, getLexicons, getOutputAnnotationType, getOutputASName, getPartOfSpeechGuesser, setBaseSentenceAnnotationType, setBaseTokenAnnotationType, setEncoding, setInputASName, setOutputAnnotationType, setOutputASName`

    - ### Methods inherited from class gate.creole.AbstractLanguageAnalyser

      `getCorpus, getDocument, setCorpus, setDocument`

    - ### Methods inherited from class gate.creole.AbstractProcessingResource

      `addProgressListener, addStatusListener, cleanup, fireProcessFinished, fireProgressChanged, fireStatusChanged, interrupt, isInterrupted, reInit, removeProgressListener, removeStatusListener`

    - ### Methods inherited from class gate.creole.AbstractResource

      `checkParameterValues, getBeanInfo, getName, getParameterValue, getParameterValue, removeResourceListeners, setName, setParameterValue, setParameterValue, setParameterValues, setParameterValues, setResourceListeners`

    - ### Methods inherited from class gate.util.AbstractFeatureBearer

      `getFeatures, setFeatures`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface gate.ProcessingResource

      `reInit`

    - ### Methods inherited from interface gate.Resource

      `cleanup, getParameterValue, setParameterValue, setParameterValues`

    - ### Methods inherited from interface gate.util.FeatureBearer

      `getFeatures, setFeatures`

    - ### Methods inherited from interface gate.util.NameBearer

      `getName, setName`

    - ### Methods inherited from interface gate.Executable

      `interrupt, isInterrupted`

- - ### Field Detail

    - #### sentenceSplitter

          protected SentenceSplitter sentenceSplitter

      Sentence splitter.

    - #### tokenizer

          protected WordTokenizer tokenizer

      Word tokenizer.

  - ### Constructor Detail

    - #### TokenizerGateWrapper

          public TokenizerGateWrapper()

  - ### Method Detail

    - #### init

          public gate.Resource init()
                             throws gate.creole.ResourceInstantiationException

      Initialize resources.
      Specified by:
        `init` in interface `gate.Resource`
      Overrides:
        `init` in class `MorphAdornerGateWrapperBase`
      Throws:
        `gate.creole.ResourceInstantiationException`

    - #### execute

          public void execute()
                       throws gate.creole.ExecutionException

      Description copied from class: `MorphAdornerGateWrapperBase`
      Perform adornment.
      Specified by:
        `execute` in interface `gate.Executable`
      Overrides:
        `execute` in class `MorphAdornerGateWrapperBase`
      Throws:
        `gate.creole.ExecutionException`